/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Avifauna e insectos de Canarias", picture: "images/games/avifauna.png", color: "game-avifauna", resHeight: false };

var categories = [
	{ name: 'Domésticos', score: 1 }, 									// categoriesId[0]
	{ name: 'Ave Rapaz', score: 1 }, 									// categoriesId[1]
	{ name: 'Insectos', score: 1 }, 									// categoriesId[2]
	{ name: 'Vivo en bosques de altura', score: 3 }, 					// categoriesId[3]
	{ name: 'Vivo en zonas costeras y charcas', score: 3 }, 			// categoriesId[4]
	{ name: 'Vivo en zonas bajas medianías y barrancos', score: 3 }, 	// categoriesId[5]
	{ name: 'Endémicas y Residentes', score: 5, description: '<span class="span-description">Clasifica en las carpetas las aves que sean únicas de nuestro archipiélago o por el contrario, sean residentes o nidifiquen en nuestra tierra</span>' }, 					// categoriesId[6]
	{ name: 'vivo únicamanete en...', score: 5, description: '<span class="span-description">Alguna de estas aves viven únicamente en 1 de las 7 islas Canarias . Escribe en la tarjeta la isla a la que pertenece las aves que has seleccionado.</span>' } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría Diariamente
_.extend(categories[7], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [ categoriesId[] ], resHeight: false },

	{ name: 'Alcaraván', picture: 'images/items/alcaravan.png', color: 'light-cyan', categoriesId: [categoriesId[5]], resHeight: true },			// itemsId[0]
	{ name: 'Garceta', picture: 'images/items/garceta.png', color: 'dark-green', categoriesId: [categoriesId[4]], resHeight: true  },										// itemsId[1]
	{ name: 'Garza Real', picture: 'images/items/garza-real.png', color: 'dark-cyan', categoriesId: [categoriesId[4]], resHeight: false  },									// itemsId[2]
	{ name: 'Gavilán', picture: 'images/items/gavilan.png', color: 'light-cyan', categoriesId: [categoriesId[1],categoriesId[3]], resHeight: true  },				// itemsId[3]
	{ name: 'Guincho', picture: 'images/items/guincho.png', color: 'light-purple', categoriesId: [categoriesId[1],categoriesId[4]], resHeight: false  },						// itemsId[4]
	{ name: 'Guirre', picture: 'images/items/guirre.png', color: 'dark-cyan', categoriesId: [categoriesId[1],categoriesId[5], categoriesId[7]], resHeight: true  },									// itemsId[5]
	{ name: 'Herrerillo Común', picture: 'images/items/herrerillo.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: true  },			// itemsId[6]
	{ name: 'Manto de las Canarias', picture: 'images/items/manto-canarias.png', color: 'light-purple', categoriesId: [categoriesId[2]], resHeight: false },	// itemsId[7]
	{ name: 'Mariposa Tigre', picture: 'images/items/mariposa-tigre.png', color: 'normal-green', categoriesId: [categoriesId[2]], resHeight: false },									// itemsId[8]
	{ name: 'Monarca', picture: 'images/items/monarca.png', color: 'dark-cyan', categoriesId: [categoriesId[2]], resHeight: false },									// itemsId[9]
	{ name: 'Petirrojo', picture: 'images/items/petirrojo.png', color: 'light-yellow', categoriesId: [categoriesId[3]], resHeight: true  },		// itemsId[10]
	{ name: 'Pinzón azul', picture: 'images/items/pinzon-azul.png', color: 'light-purple', categoriesId: [categoriesId[3],categoriesId[7]], resHeight: false  },							// itemsId[11]
	{ name: 'Vencejo', picture: 'images/items/vencejo.png', color: 'dark-orange', categoriesId: [categoriesId[5]], resHeight: false  },								// itemsId[12]
	{ name: 'Alpispa', picture: 'images/items/alpispa.png', color: 'normal-pink', categoriesId: [categoriesId[4]], resHeight: false },																// itemsId[13]
	{ name: 'Paloma Rabiche', picture: 'images/items/paloma-rabiche.png', color: 'light-yellow', categoriesId: [categoriesId[3]], resHeight: false  },		// itemsId[14]
	{ name: 'Pardela cenicienta', picture: 'images/items/pardela-cenicienta.png', color: 'dark-green', categoriesId: [categoriesId[4]], resHeight: false  },								// itemsId[15]
	{ name: 'Gaviota patiamarilla', picture: 'images/items/gaviota-patiamarilla.png', color: 'light-purple', categoriesId: [categoriesId[4]], resHeight: false  },					// itemsId[16]
	{ name: 'lechuza Canaria', picture: 'images/items/lechuza.png', color: 'normal-orange', categoriesId: [categoriesId[1],categoriesId[5]], resHeight: true },						// itemsId[17]
	{ name: 'Pico Picapinos Canariensis', picture: 'images/items/picopicapinos.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: true  },				// itemsId[18]
	{ name: 'Graja', picture: 'images/items/graja.png', color: 'dark-cyan', categoriesId: [categoriesId[3],categoriesId[7]], resHeight: false },		// itemsId[19]
	{ name: 'Reyezuelo', picture: 'images/items/reyezuelo.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: false },								// itemsId[20]
	{ name: 'Abeja negra', picture: 'images/items/abeja.png', color: 'normal-green', categoriesId: [categoriesId[2]], resHeight: false },						// itemsId[21]
	{ name: 'Mariposa Vanessa', picture: 'images/items/mariposa-vanessa.png', color: 'light-purple', categoriesId: [categoriesId[2]], resHeight: false },										// itemsId[22]
	{ name: 'Cuervo', picture: 'images/items/cuervo.png', color: 'light-yellow', categoriesId: [categoriesId[5]], resHeight: false },														// itemsId[23]
	{ name: 'Focha común', picture: 'images/items/focha-comun.png', color: 'dark-cyan', categoriesId: [categoriesId[4]], resHeight: true },		// itemsId[24]
	{ name: 'loro verde', picture: 'images/items/loro-verde.png', color: 'light-cyan', categoriesId: [categoriesId[0]], resHeight: false },								// itemsId[25]
	{ name: 'periquito', picture: 'images/items/periquito.png', color: 'normal-orange', categoriesId: [categoriesId[0]], resHeight: false },						// itemsId[26]
	{ name: 'gallina', picture: 'images/items/gallina.png', color: 'light-pink', categoriesId: [categoriesId[0]], resHeight: false },										// itemsId[27]
	{ name: 'Cernícalo', picture: 'images/items/cernicalo.png', color: 'light-yellow', categoriesId: [categoriesId[1],categoriesId[5]], resHeight: false },														// itemsId[28]
	{ name: 'Canario', picture: 'images/items/canario.png', color: 'dark-green', categoriesId: [categoriesId[0],categoriesId[5]], resHeight: false  }
];

// Añadimos el campo especial edit a todos los items editables
_.each([19,11,5], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([19], function (pos) {
	items[pos].special.edit.push('la palma');
});
_.each([5], function (pos) {
	items[pos].special.edit.push('fuerteventura');
});
_.each([11], function (pos) {
	items[pos].special.edit.push('gran canaria');
});
_.each([11], function (pos) {
	items[pos].special.edit.push('tenerife');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

// Añadimos el campo special folder a la categoría Vegano
_.extend(categories[6], {
	special: {
		folder: [
			{ name: 'Soy Residente canaria', content: [itemsId[0],itemsId[1],itemsId[2] , itemsId[3],itemsId[6],itemsId[12],itemsId[13],itemsId[15],itemsId[16],itemsId[9],itemsId[20],itemsId[24],itemsId[25],itemsId[26],itemsId[27],itemsId[28]] },
			{ name: 'Soy endémica canaria', content: [itemsId[11], itemsId[4], itemsId[5],itemsId[7],itemsId[14],itemsId[17],itemsId[18],itemsId[19],itemsId[21],itemsId[22],itemsId[23]] }
		],
		minGroupSize: 1
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
